import invariant from 'invariant';

import syncState from './syncState';

export default async function syncDbWithStore(db, store) {
  invariant(db, 'db is not defined.');
  invariant(store, 'store is not defined.');

  const { rows } = await db.allDocs({ include_docs: true });
  for (let i = 0, len = rows.length; i < len; i += 1) {
    const { doc } = rows[i];
    store.dispatch(syncState(doc));
  }
}
